Skip to main content
GET
/
v2
/
wires
List all wires V2
curl --request GET \
  --url https://api.sandbox.lead.bank/v2/wires \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.lead.bank/v2/wires"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.lead.bank/v2/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "objects": [
    {
      "id": "wire_xyz123",
      "account_number_id": "account_number_xyz123",
      "core_transaction_ids": [
        "core_transaction_xyz123"
      ],
      "created_at": "2024-06-27T11:22:33Z",
      "updated_at": "2024-06-27T11:22:33Z",
      "settlement_date": "2024-06-27",
      "direction": "incoming",
      "type": "transfer",
      "corridor_type": "domestic",
      "status": "created",
      "amounts": {
        "settlement_amount": 5000,
        "settlement_currency_code": "USD",
        "instructed_amount": 5000,
        "instructed_currency_code": "<string>",
        "instructed_to_settlement_exchange_rate": 1
      },
      "debtor": {
        "name": "Alan Scott",
        "account_identifier": {
          "type": "other",
          "value": 1234567890
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "debtor_agent": {
        "business_identifier_code": "BOFAUS3NXXX",
        "name": "Bank of America",
        "local_routing_identifier": {
          "scheme": "USABA",
          "value": "021000021"
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "instructing_agent": {
        "name": "Bank of America",
        "business_identifier_code": "CHASUS33",
        "local_routing_identifier": {
          "scheme": "USABA",
          "value": "021000021"
        }
      },
      "instructed_agent": {
        "name": "Bank of America",
        "business_identifier_code": "CHASUS33",
        "local_routing_identifier": {
          "scheme": "USABA",
          "value": "021000021"
        }
      },
      "creditor_agent": {
        "business_identifier_code": "BOFAUS3NXXX",
        "name": "Bank of America",
        "local_routing_identifier": {
          "scheme": "USABA",
          "value": "021000021"
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "creditor": {
        "name": "Alan Scott",
        "account_identifier": {
          "type": "other",
          "value": 1234567890
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "initiating_party": {
        "name": "Alan Scott",
        "account_identifier": {
          "type": "other",
          "value": 1234567890
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "ultimate_debtor": {
        "name": "Alan Scott",
        "account_identifier": {
          "type": "other",
          "value": 1234567890
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "ultimate_creditor": {
        "name": "Alan Scott",
        "account_identifier": {
          "type": "other",
          "value": 1234567890
        },
        "address": {
          "street_name": "Main Street",
          "building_number": "100",
          "building_name": "City Hall",
          "floor": "4th Floor",
          "room": "600",
          "post_code": "12345",
          "town_name": "Kansas City",
          "country_sub_division": "MO",
          "country": "US",
          "line_one": "123 Main St",
          "line_two": "Suite 100",
          "line_three": "Kansas City, MO 64105"
        }
      },
      "other_agents": {
        "previous_instructing_agent_one": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        },
        "previous_instructing_agent_two": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        },
        "previous_instructing_agent_three": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        },
        "intermediary_agent_one": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        },
        "intermediary_agent_two": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        },
        "intermediary_agent_three": {
          "business_identifier_code": "BOFAUS3NXXX",
          "name": "Bank of America",
          "local_routing_identifier": {
            "scheme": "USABA",
            "value": "021000021"
          },
          "address": {
            "street_name": "Main Street",
            "building_number": "100",
            "building_name": "City Hall",
            "floor": "4th Floor",
            "room": "600",
            "post_code": "12345",
            "town_name": "Kansas City",
            "country_sub_division": "MO",
            "country": "US",
            "line_one": "123 Main St",
            "line_two": "Suite 100",
            "line_three": "Kansas City, MO 64105"
          }
        }
      },
      "payment_identifiers": {
        "message_identification": "20241215MMQFMP2L017736",
        "end_to_end_identification": "EndtoEnd12345",
        "uetr": "dae7d83c-1624-4a79-a8ef-3794de115c13",
        "instruction_identification": "Instruction12345",
        "return_identification": "ReturnInstruction12345"
      },
      "remittance_details": {
        "payment_notification": "ba77ae30-efb8-4139-8e51-37e3fd905b2b",
        "message_to_creditor": "Payment for invoice 12345",
        "message_to_receiving_fi": "message for receiving financial institution",
        "fi_to_fi_message": "message from financial institution to financial institution",
        "transfer_purpose": {
          "type": "invoice_payment",
          "other_details": "Payment for consulting services"
        }
      },
      "charges": {
        "charge_bearer": "shared",
        "breakdown": [
          {
            "amount": "12.50",
            "currency_code": "USD",
            "charging_agent": {
              "business_identifier_code": "BOFAUS3NXXX",
              "name": "Bank of America",
              "local_routing_identifier": {
                "scheme": "USABA",
                "value": "021000021"
              },
              "address": {
                "street_name": "Main Street",
                "building_number": "100",
                "building_name": "City Hall",
                "floor": "4th Floor",
                "room": "600",
                "post_code": "12345",
                "town_name": "Kansas City",
                "country_sub_division": "MO",
                "country": "US",
                "line_one": "123 Main St",
                "line_two": "Suite 100",
                "line_three": "Kansas City, MO 64105"
              }
            }
          }
        ]
      },
      "related_wires": {
        "original_wire_id": "wire_xyz001",
        "return_wire_ids": [
          "wire_xyz002"
        ]
      },
      "return_requests": [
        {
          "status": "pending",
          "reason": "duplication",
          "created_at": "2024-06-27T11:22:33Z",
          "details": "ISO Code: CUST; Beneficiary has not received funds",
          "deadline": "2024-07-08T23:30:00-04:00",
          "resolution": {
            "resolved_at": "2024-06-27T11:22:33Z",
            "resolved_by": "counterparty",
            "rejection_reason": "customer_no_response",
            "rejection_details": "ISO Code: CUST; Beneficiary has not received funds"
          }
        }
      ],
      "return": {
        "reason": "honor_return_request",
        "additional_information": "<string>"
      },
      "rejection": {
        "reason": "honor_return_request",
        "additional_information": "<string>",
        "message_identification": "<string>"
      },
      "metadata": {}
    }
  ],
  "has_more": true
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_number_id
string

Returns wires associated with this account_number_id.

Pattern: ^account_number_\w+$
direction
enum<string>

Returns wires with this direction. Who is initiating the transaction.

outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"incoming"

status
enum<string>

Returns wires with this status. The current status of the wire object.

Note: scheduled, processing, and cancel_pending are legacy values carried over from V1 and will be deprecated in 2027.

Available options:
created,
scheduled,
processing,
posted,
under_review,
rejected,
canceled,
cancel_pending
Example:

"created"

corridor_type
enum<string>

Returns wires with this corridor_type. Indicates whether the wire is domestic or international.

Available options:
domestic,
international
Example:

"domestic"

return_request_status
enum<string>

Returns wires that have a return request in this status. The current status of the return request object. For incoming return requests: response_needed, accepted, rejected. For outgoing return requests: pending, accepted, rejected.

Available options:
pending,
response_needed,
accepted,
rejected
Example:

"pending"

created_at
object

A set of filters on the list using the object’s field created_at.

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^wire_\w+$
ending_before
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^wire_\w+$

Response

A list of wire objects.

objects
object[]
required
has_more
boolean
required

Indicates whether more results are available.